# MapGIS Client for JavaScript API

Cesium MapboxGL Leaflet OpenLayers
API文档

    ﻿import { Zondy } from '../../../base'
    import { defaultValue, extend } from '../../../util'

    /**
     * 属性字段行
     * @class Zondy.Object.CAttDataRow
     * @classdesc 属性字段行
     * @param {Array} values 属性字段名数组 Array,string in an Array
     * @param {Number} [fid = 0] id
     * @param {Object} option 属性键值对，拓展属性
     */
    const CAttDataRow = function (values, fid, option) {
      const options = defaultValue(option, {})
      extend(this, options)

      /**
       * @private
       * @member Zondy.Object.CAttDataRow.prototype.FID
       * @type {Number}
       * @description id
       */
      this.FID = defaultValue(fid, 0)

      /**
       * @private
       * @member Zondy.Object.CAttDataRow.prototype.Values
       * @type {Array}
       * @description 属性字段名数组 Array<String>
       */
      this.Values = defaultValue(values, null)
    }
    export default CAttDataRow
    Zondy.Object.CAttDataRow = CAttDataRow

构造函数
成员变量
方法
事件